Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.runtime
Class OutputStreamAdapter

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.PrintStream
                  jason.runtime.OutputStreamAdapter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class OutputStreamAdapter

extends java.io.PrintStream

adapts an output print stream to a GUI interface (MasConsole or some JTextArea)

Field Summary
`java.io.PrintStream` | `originalErr`
`java.io.PrintStream` | `originalOut`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`OutputStreamAdapter(MASConsoleGUI m, javax.swing.JTextArea t)`

Method Summary
`void` | `print(boolean arg)`
`void` | `print(char arg0)`
`void` | `print(double arg0)`
`void` | `print(float arg0)`
`void` | `print(int arg0)`
`void` | `print(long arg0)`
`void` | `print(java.lang.Object s)`
`void` | `print(java.lang.String s)`
`void` | `println()`
`void` | `println(boolean arg0)`
`void` | `println(char arg0)`
`void` | `println(double arg0)`
`void` | `println(float arg0)`
`void` | `println(int arg0)`
`void` | `println(long arg0)`
`void` | `println(java.lang.Object s)`
`void` | `println(java.lang.String s)`
`void` | `restoreOriginalOut()`
`void` | `setAsDefaultOut()`
`java.lang.String` | `toString()`

Methods inherited from class java.io.PrintStream
`append, append, append, checkError, clearError, close, flush, format, format, print, printf, printf, println, setError, write, write`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### originalOut

    public java.io.PrintStream originalOut

### originalErr

    public java.io.PrintStream originalErr

Constructor Detail

### OutputStreamAdapter

    public OutputStreamAdapter(MASConsoleGUI m,
                               javax.swing.JTextArea t)

Method Detail

### setAsDefaultOut

    public void setAsDefaultOut()

### restoreOriginalOut

    public void restoreOriginalOut()

### print

    public void print(java.lang.Object s)

  Overrides:
    `print` in class `java.io.PrintStream`

### println

    public void println(java.lang.Object s)

  Overrides:
    `println` in class `java.io.PrintStream`

### print

    public void print(java.lang.String s)

  Overrides:
    `print` in class `java.io.PrintStream`

### println

    public void println(java.lang.String s)

  Overrides:
    `println` in class `java.io.PrintStream`

### print

    public void print(boolean arg)

  Overrides:
    `print` in class `java.io.PrintStream`

### print

    public void print(char arg0)

  Overrides:
    `print` in class `java.io.PrintStream`

### print

    public void print(double arg0)

  Overrides:
    `print` in class `java.io.PrintStream`

### print

    public void print(float arg0)

  Overrides:
    `print` in class `java.io.PrintStream`

### print

    public void print(int arg0)

  Overrides:
    `print` in class `java.io.PrintStream`

### print

    public void print(long arg0)

  Overrides:
    `print` in class `java.io.PrintStream`

### println

    public void println(boolean arg0)

  Overrides:
    `println` in class `java.io.PrintStream`

### println

    public void println(char arg0)

  Overrides:
    `println` in class `java.io.PrintStream`

### println

    public void println(double arg0)

  Overrides:
    `println` in class `java.io.PrintStream`

### println

    public void println(float arg0)

  Overrides:
    `println` in class `java.io.PrintStream`

### println

    public void println(int arg0)

  Overrides:
    `println` in class `java.io.PrintStream`

### println

    public void println(long arg0)

  Overrides:
    `println` in class `java.io.PrintStream`

### println

    public void println()

  Overrides:
    `println` in class `java.io.PrintStream`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD